ONVIF::Analytics::Types::SystemCapabilities(3)

NAME
ONVIF::Analytics::Types::SystemCapabilities

DESCRIPTION
Perl data type class for the XML Schema defined complexType SystemCapabilities from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   DiscoveryResolve

•   DiscoveryBye

•   RemoteDiscovery

•   SystemBackup

•   SystemLogging

•   FirmwareUpgrade

•   SupportedVersions

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::SystemCapabilities
   DiscoveryResolve =>  $some_value, # boolean
   DiscoveryBye =>  $some_value, # boolean
   RemoteDiscovery =>  $some_value, # boolean
   SystemBackup =>  $some_value, # boolean
   SystemLogging =>  $some_value, # boolean
   FirmwareUpgrade =>  $some_value, # boolean
   SupportedVersions =>  { # ONVIF::Analytics::Types::OnvifVersion
     Major =>  $some_value, # int
     Minor =>  $some_value, # int
   },
   Extension =>  { # ONVIF::Analytics::Types::SystemCapabilitiesExtension
     HttpFirmwareUpgrade =>  $some_value, # boolean
     HttpSystemBackup =>  $some_value, # boolean
     HttpSystemLogging =>  $some_value, # boolean
     HttpSupportInformation =>  $some_value, # boolean
     Extension =>  { # ONVIF::Analytics::Types::SystemCapabilitiesExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL